#
# Conditional build:
%bcond_with	gnome2		# build with support for GNOME2 wm-properties
#
Summary:	Window and compositing manager based on Clutter
Summary(pl.UTF-8):	Zarządca okien i składania oparty na bibliotece Clutter
Name:		mutter
Version:	3.10.2
Release:	1
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://ftp.gnome.org/pub/GNOME/sources/mutter/3.10/%{name}-%{version}.tar.xz
# Source0-md5:	6271b62832d639886db7f68173cb88b8
URL:		http://git.gnome.org/cgit/mutter
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	clutter-devel >= 1.15.90
BuildRequires:	cogl-devel >= 1.15.6
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gnome-common
BuildRequires:	gnome-desktop-devel >= 3.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.7.3
BuildRequires:	gtk+3-devel >= 3.9.11
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libcanberra-gtk3-devel >= 0.26
BuildRequires:	libtool
BuildRequires:	pango-devel >= 1:1.2.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	startup-notification-devel >= 0.7
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.9.12
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel >= 0.2
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.7
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gsettings-desktop-schemas >= 3.7.3
Requires:	zenity
Provides:	gnome-wm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mutter is a window and compositing manager that displays and manages
your desktop via OpenGL. Mutter combines a sophisticated display
engine using the Clutter toolkit with solid window-management logic
inherited from the Metacity window manager.

%description -l pl.UTF-8
Mutter to zarządca okien i składania wyświetlający pulpit i
zarządzający nim poprzez OpenGL. Łączy wyszukany silnik wyświetlania
wykorzystujący toolkit Clutter z solidną logiką zarządcy okien
odziedziczoną z zarządcy okien Metacity.

%package libs
Summary:	Mutter shared library
Summary(pl.UTF-8):	Biblioteka współdzielona zarządcy okien Mutter
Group:		Libraries
Requires:	cairo >= 1.10
Requires:	clutter >= 1.15.90
Requires:	cogl >= 1.15.6
Requires:	glib2 >= 1:2.26.0
Requires:	gnome-desktop >= 3.0
Requires:	gtk+3 >= 3.9.11
Requires:	libcanberra-gtk3 >= 0.26
Requires:	startup-notification >= 0.7
Requires:	upower-libs >= 0.9.12
Requires:	xorg-lib-libXcomposite >= 0.2
Requires:	xorg-lib-libXi >= 1.6
Conflicts:	mutter < 3.4.0-2

%description libs
Mutter shared library.

%description libs -l pl.UTF-8
Biblioteka współdzielona zarządcy okien i składania Mutter.

%package devel
Summary:	Development package for Mutter
Summary(pl.UTF-8):	Pakiet programistyczny do wtyczek zarządcy okien Mutter
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	cairo-devel >= 1.10
Requires:	clutter-devel >= 1.15.90
Requires:	cogl-devel >= 1.15.6
Requires:	glib2-devel >= 1:2.26.0
Requires:	gtk+3-devel >= 3.9.11
Requires:	libcanberra-gtk3-devel >= 0.26
Requires:	startup-notification-devel >= 0.7
Requires:	xorg-lib-libXcomposite-devel >= 0.2
Requires:	xorg-lib-libXcursor-devel
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXfixes-devel
Requires:	xorg-lib-libXrender-devel

%description devel
Header files for developing Mutter plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek zarządcy okien i składania
Mutter.

%package apidocs
Summary:	Mutter (Meta) API documentation
Summary(pl.UTF-8):	Dokumentacja API Mutter (Meta)
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Mutter (Meta) API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Mutter (Meta).

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ZENITY=/usr/bin/zenity \
	--disable-silent-rules \
	--disable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_gnome2:%{__rm} $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties/mutter-wm.desktop}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS NEWS HACKING doc/theme-format.txt rationales.txt
%attr(755,root,root) %{_bindir}/mutter
%dir %{_libdir}/mutter/plugins
%attr(755,root,root) %{_libdir}/mutter/plugins/default.so
%{_desktopdir}/mutter.desktop
%{?with_gnome2:%{_datadir}/gnome/wm-properties/mutter-wm.desktop}
%{_datadir}/GConf/gsettings/mutter-schemas.convert
%{_datadir}/glib-2.0/schemas/org.gnome.mutter.gschema.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-windows.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-navigation.xml
%{_datadir}/gnome-control-center/keybindings/50-mutter-system.xml
%{_mandir}/man1/mutter.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmutter.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmutter.so.0
%dir %{_libdir}/mutter
# intentionally installed in package-private dir
%{_libdir}/mutter/Meta-*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmutter.so
%{_includedir}/mutter
# intentionally installed in package-private dir
%{_libdir}/mutter/Meta-*.gir
%{_pkgconfigdir}/libmutter.pc
%{_pkgconfigdir}/mutter-plugins.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/meta
%changelog
* Fri Nov 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mutter.git;a=log;h=master

* Fri Nov 15 2013 Łukasz Kieś <kiesiu@pld-linux.org> 6cab2ba
- updated to 3.10.2

* Sat Oct 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 846c5c5
- updated to 3.10.1.1

* Tue Oct 01 2013 Jakub Bogusz <qboosh@pld-linux.org> e9a8389
- completed (build and install time) dependencies

* Sun Sep 29 2013 Artur Frysiak <artur@frysiak.net> dbe952f
- Up to 3.10.0.1

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bfcb539
- Update to 3.8.4

* Fri Jun 07 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 4654ba8
- Update to 3.8.3

* Fri May 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 7b3e5cc
- updated to 3.8.2

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ba88a5d
- Update to 3.8.1

* Fri Apr 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 547e5ca
- min libXi version is 1.6; rel. 2

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 5e452dc
- package apidocs

* Wed Mar 27 2013 Artur Frysiak <artur@frysiak.net> d0d1f3e
- Up to 3.8.0

* Wed Feb 13 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b50d3cb
- Update to 3.6.3

* Fri Nov 16 2012 Jakub Bogusz <qboosh@pld-linux.org> a8988fc
- updated to 3.6.2

* Wed Oct 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5af58c6
- updated to 3.6.1

* Mon Oct 01 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 629080e
- Release 2

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> fc161ac
- merged form DEVEL
- updated to 3.6.0

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 006e5a8
- updated to 3.5.90

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9cdc00f
- obsoleted (applied upstream)

* Thu Jun 07 2012 wrobell <wrobell@pld-linux.org> 3d19246
- added missing patch

* Tue May 01 2012 wrobell <wrobell@pld-linux.org> c8b6ded
- added patch fixing bug 675254
- rel. 2

